<script lang="ts">
	let log_lvl: number = 0;

	// *** Import Aether specific variables and functions
	import {
		ae_snip,
		ae_loc,
		ae_sess,
		ae_api,
		ae_trig,
		slct,
		slct_trigger
	} from '$lib/stores/ae_stores';
	import { idaa_loc, idaa_sess, idaa_slct } from '$lib/stores/ae_idaa_stores';

	interface Props {
		/** @type {import('./$types').LayoutData} */
		data: any;
		children?: import('svelte').Snippet;
	}

	let { data, children }: Props = $props();

	if (log_lvl > 1) {
		console.log(`ae_idaa_archives +layout.svelte`, data);
	}

	// *** Quickly pull out data from parent(s)
	$slct.account_id = data.account_id;

	let ae_acct = data[$slct.account_id];
	if (log_lvl) {
		console.log(`ae_acct = `, ae_acct);
	}

	$idaa_slct.archive_obj_li = ae_acct.slct.archive_obj_li;
	// $idaa_slct.archive_id = ae_acct.slct.archive_id; // Not set here yet.

	// *** Set initial variables
</script>

{@render children?.()}
